package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tda;
import com.brilliance.isc.vo.bop.RmbInfoVo;
import org.apache.ibatis.annotations.Mapper;


import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TdaMapper {

    int insert(Tda record);

    int insertSelective(Tda record);

    int updateByPrimaryKeySelective(Tda record);

    int updateByPrimaryKey(Tda record);

    int deleteByPrimaryKey(Tda record);

    int deleteByIds(Collection<Object> collection);

    Tda selectByPrimaryKey(Tda record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tda> dyncRead(Map<String, Object> dyncMap);

    Tda selectByLevyno(String record);

    Tda selectTdaByOwnref(String banktrano);

    List<Tda> selectTda(RmbInfoVo rmbInfoVo);

}
